"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const store_manager_1 = require("@furystack/core/dist/store-manager");
const mongo_client_factory_1 = require("./mongo-client-factory");
const mongodb_store_1 = require("./mongodb-store");
store_manager_1.StoreManager.prototype.useMongoDb = function ({ model, primaryKey, db, collection, url, options }) {
    const clientFactory = this.injector.getInstance(mongo_client_factory_1.MongoClientFactory);
    const store = new mongodb_store_1.MongodbStore({
        model,
        primaryKey,
        db,
        collection,
        mongoClient: async () => await clientFactory.getClientFor(url, options),
    });
    this.addStore(store);
    return this;
};
//# sourceMappingURL=store-manager-extensions.js.map